Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.exif
Class EXIFTagSet

    java.lang.Object
      org.monte.media.tiff.TagSet
          org.monte.media.exif.EXIFTagSet

    public class EXIFTagSet

extends TagSet

Enumeration of standard EXIF tags.

Source:

Exchangeable image file format for digital still cameras: Exif Version 2.2. (April, 2002). Standard of Japan Electronics and Information Technology Industries Association. JEITA CP-3451. http://www.exif.org/Exif2-2.PDF

Version:
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Field Summary
`static TIFFTag` | `ApertureValue`
`static TIFFTag` | `BrightnessValue`
`static TIFFTag` | `CFAPattern`
`static TIFFTag` | `ColorSpace`
`static TIFFTag` | `ComponentsConfiguration`
`static TIFFTag` | `CompressedBitsPerPixel`
`static TIFFTag` | `Contrast`
`static TIFFTag` | `CustomRendered`
`static TIFFTag` | `DateTimeDigitized`
`static TIFFTag` | `DateTimeOriginal`
`static TIFFTag` | `DeviceSettingDescription`
`static TIFFTag` | `DigitalZoomRatio`
`static TIFFTag` | `ExifVersion`
`static TIFFTag` | `ExposureBiasValue`
`static TIFFTag` | `ExposureIndex`
`static TIFFTag` | `ExposureMode`
`static TIFFTag` | `ExposureProgram`
`static TIFFTag` | `ExposureTime`
`static TIFFTag` | `FileSource`
`static TIFFTag` | `Flash`
`static TIFFTag` | `FlashEnergy`
`static TIFFTag` | `FlashpixVersion`
`static TIFFTag` | `FNumber`
`static TIFFTag` | `FocalLength`
`static TIFFTag` | `FocalLengthIn35mmFilm`
`static TIFFTag` | `FocalPlaneResolutionUnit`
`static TIFFTag` | `FocalPlaneXResolution`
`static TIFFTag` | `FocalPlaneYResolution`
`static TIFFTag` | `GainControl`
`static TIFFTag` | `ImageUniqueID`
`static TIFFTag` | `Interoperability`
`static TIFFTag` | `ISOSpeedRatings`
`static TIFFTag` | `LightSource`
`static TIFFTag` | `MakerNote`
`static TIFFTag` | `MaxApertureValue`
`static TIFFTag` | `MeteringMode`
`static TIFFTag` | `OECF`
`static TIFFTag` | `PixelXDimension`
`static TIFFTag` | `PixelYDimension`
`static TIFFTag` | `RelatedSoundFile`
`static TIFFTag` | `Saturation`
`static TIFFTag` | `SceneCaptureType`
`static TIFFTag` | `SceneType`
`static TIFFTag` | `SensingMethod`
`static TIFFTag` | `Sharpness`
`static TIFFTag` | `ShutterSpeedValue`
`static TIFFTag` | `SpatialFrequencyResponse`
`static TIFFTag` | `SpectralSensitivity`
`static TIFFTag` | `SubjectArea`
`static TIFFTag` | `SubjectDistance`
`static TIFFTag` | `SubjectDistanceRange`
`static TIFFTag` | `SubjectLocation`
`static TIFFTag` | `SubSecTime`
`static TIFFTag` | `SubSecTimeDigitized`
`static TIFFTag` | `SubSecTimeOriginal`
`static TIFFTag` | `UserComment`
`static TIFFTag` | `WhiteBalance`

Method Summary
`static EXIFTagSet` | `getInstance()` Returns a shared instance of a BaselineTIFFTagSet.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.monte.media.tiff.TagSet
`getName, getTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ExifVersion

    public static final TIFFTag ExifVersion

### FlashpixVersion

    public static final TIFFTag FlashpixVersion

### ColorSpace

    public static final TIFFTag ColorSpace

### ComponentsConfiguration

    public static final TIFFTag ComponentsConfiguration

### CompressedBitsPerPixel

    public static final TIFFTag CompressedBitsPerPixel

### PixelXDimension

    public static final TIFFTag PixelXDimension

### PixelYDimension

    public static final TIFFTag PixelYDimension

### MakerNote

    public static final TIFFTag MakerNote

### UserComment

    public static final TIFFTag UserComment

### RelatedSoundFile

    public static final TIFFTag RelatedSoundFile

### DateTimeOriginal

    public static final TIFFTag DateTimeOriginal

### DateTimeDigitized

    public static final TIFFTag DateTimeDigitized

### SubSecTime

    public static final TIFFTag SubSecTime

### SubSecTimeOriginal

    public static final TIFFTag SubSecTimeOriginal

### SubSecTimeDigitized

    public static final TIFFTag SubSecTimeDigitized

### ExposureTime

    public static final TIFFTag ExposureTime

### FNumber

    public static final TIFFTag FNumber

### ExposureProgram

    public static final TIFFTag ExposureProgram

### SpectralSensitivity

    public static final TIFFTag SpectralSensitivity

### ISOSpeedRatings

    public static final TIFFTag ISOSpeedRatings

### OECF

    public static final TIFFTag OECF

### ShutterSpeedValue

    public static final TIFFTag ShutterSpeedValue

### ApertureValue

    public static final TIFFTag ApertureValue

### BrightnessValue

    public static final TIFFTag BrightnessValue

### ExposureBiasValue

    public static final TIFFTag ExposureBiasValue

### MaxApertureValue

    public static final TIFFTag MaxApertureValue

### SubjectDistance

    public static final TIFFTag SubjectDistance

### MeteringMode

    public static final TIFFTag MeteringMode

### LightSource

    public static final TIFFTag LightSource

### Flash

    public static final TIFFTag Flash

### FocalLength

    public static final TIFFTag FocalLength

### SubjectArea

    public static final TIFFTag SubjectArea

### FlashEnergy

    public static final TIFFTag FlashEnergy

### SpatialFrequencyResponse

    public static final TIFFTag SpatialFrequencyResponse

### FocalPlaneXResolution

    public static final TIFFTag FocalPlaneXResolution

### FocalPlaneYResolution

    public static final TIFFTag FocalPlaneYResolution

### FocalPlaneResolutionUnit

    public static final TIFFTag FocalPlaneResolutionUnit

### SubjectLocation

    public static final TIFFTag SubjectLocation

### ExposureIndex

    public static final TIFFTag ExposureIndex

### SensingMethod

    public static final TIFFTag SensingMethod

### FileSource

    public static final TIFFTag FileSource

### SceneType

    public static final TIFFTag SceneType

### CFAPattern

    public static final TIFFTag CFAPattern

### CustomRendered

    public static final TIFFTag CustomRendered

### ExposureMode

    public static final TIFFTag ExposureMode

### WhiteBalance

    public static final TIFFTag WhiteBalance

### DigitalZoomRatio

    public static final TIFFTag DigitalZoomRatio

### FocalLengthIn35mmFilm

    public static final TIFFTag FocalLengthIn35mmFilm

### SceneCaptureType

    public static final TIFFTag SceneCaptureType

### GainControl

    public static final TIFFTag GainControl

### Contrast

    public static final TIFFTag Contrast

### Saturation

    public static final TIFFTag Saturation

### Sharpness

    public static final TIFFTag Sharpness

### DeviceSettingDescription

    public static final TIFFTag DeviceSettingDescription

### SubjectDistanceRange

    public static final TIFFTag SubjectDistanceRange

### ImageUniqueID

    public static final TIFFTag ImageUniqueID

### Interoperability

    public static final TIFFTag Interoperability

Method Detail

### getInstance

    public static EXIFTagSet getInstance()

  Returns a shared instance of a BaselineTIFFTagSet.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD